from flask import Flask, jsonify
from multiprocessing import Value


counter = Value('i', 0)
app = Flask(__name__)


@app.route('/')
def index():
    with counter.get_lock():
        counter.value += 1
        out = counter.value
 
    return jsonify(count=out)


if __name__ != '__main__':
    import logging

    gunicorn_logger = logging.getLogger('gunicorn.error')
    app.logger.handlers = gunicorn_logger.handlers
    app.logger.setLevel(gunicorn_logger.level)
